package dev.micle.totemofreviving.item.totem;

import dev.micle.totemofreviving.config.Config;
import dev.micle.totemofreviving.item.charge.DiamondChargeItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Rarity;

public class DiamondTotemItem extends TotemItem {
	public DiamondTotemItem() {
		super(Rarity.RARE, Config.Server.getDiamondTotemConfig().getDurability());
	}
	
	public static String getName() {
		return "diamond_totem";
	}
	
	@Override
	public boolean isCharge(ItemStack stack) {
		return (stack.getItem() instanceof DiamondChargeItem);
	}
}
