package dev.micle.totemofreviving.item.totem;

import dev.micle.totemofreviving.config.Config;
import dev.micle.totemofreviving.item.charge.NetheriteChargeItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Rarity;

public class NetheriteTotemItem extends TotemItem {
	public NetheriteTotemItem() {
		super(Rarity.EPIC, Config.Server.getNetheriteTotemConfig().getDurability());
	}
	
	public static String getName() {
		return "netherite_totem";
	}
	
	@Override
	public boolean isCharge(ItemStack stack) {
		return (stack.getItem() instanceof NetheriteChargeItem);
	}
	
	@Override
	public boolean isFireResistant() {
		return true;
	}
}
